<?php
/*
Plugin Name: WP Mailto Links
Plugin URI: http://www.freelancephp.net/wp-mailto-links-plugin
Description: Manage mailto links on your site and protect emails from spambots, set mail icon and more.
Author: Victor Villaverde Laan
Version: 1.0.1
Author URI: http://www.freelancephp.net
License: Dual licensed under the MIT and GPL licenses
*/

define('WP_MAILTO_LINKS_FILE', __FILE__);

require_once dirname(WP_MAILTO_LINKS_FILE) . '/includes/class-wp-mailto-links.php';


/*******************************************************************************
 * Create instance
 *******************************************************************************/

$WP_Mailto_Links = new WP_Mailto_Links;


/*******************************************************************************
 * Template Functions
 *******************************************************************************/

if (!is_admin()):

	/**
	 * Template function for creating protected mailto link
	 * @global WP_Mailto_Links $WP_Mailto_Links
	 * @param string $display
	 * @param string $attrs  Optional
	 * @return string
	 */
	if (!function_exists('wpml_mailto')):
		function wpml_mailto($display, $attrs = array()) {
			global $WP_Mailto_Links;
			return $WP_Mailto_Links->protected_mailto($display, $attrs);
		}
	endif;

	/**
	 * Template function for protecting mailto links in given content
	 * @global WP_Mailto_Links $WP_Mailto_Links
	 * @param string $content
	 * @return string
	 */
	if (!function_exists('wpml_filter')):
		function wpml_filter($content) {
			global $WP_Mailto_Links;
			return $WP_Mailto_Links->callback_filter_content($content);
		}
	endif;

endif;
/*?> // ommit closing tag, to prevent unwanted whitespace at the end of the parts generated by the included files */